This codemod sets the most secure parameters when Django applications call `set_cookie` on a response object. Without these parameters, your Django
application cookies may be vulnerable to being intercepted and used to gain access to sensitive data.

The changes from this codemod look like this:

```diff
 from django.shortcuts import render
 def index(request):
   resp = render(request, 'index.html')
 - resp.set_cookie('custom_cookie', 'value')
 + resp.set_cookie('custom_cookie', 'value', secure=True, httponly=True, samesite='Lax')
   return resp
```
